# bad_cast Class Reference

Inheritance diagram for bad_cast:

List of all members.

## Detailed Description

If you attempt an invalid `dynamic_cast` expression, an instance of this class (or something derived from this class) is thrown.

Definition at line 139 of file typeinfo.

## Public Member Functions

- virtual const char * what () const throw ()

## Member Function Documentation

virtual const char* what | ( |  | ) | const throw ()`[virtual, inherited]`

| Returns a C-style character string describing the general cause of the current error. Reimplemented in ios_base::failure, logic_error, and runtime_error.

The documentation for this class was generated from the following file:

- typeinfo